/***************************************************************************
 *   Copyright (C) 2007 Mikhail Fedotov                                    *
 *   anyremote@mail.ru                                                     *
 *   http://anyremote.sf.net                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/* ANYREMOTE PLUGIN FOR THE KOPETE KDE INSTANT MESSANGER
 *
 * KConfigXT preferences base class implementation
 *
 */

#include <qlayout.h>

#include <kgenericfactory.h>

#include "kopeteanyremoteprefsbase.h"
#include "kopeteanyremoteprefs.h"
#include "kopete_anyremote.h"

typedef KGenericFactory<KopeteAnyremotePrefs> KopeteAnyremotePrefsFactory;
K_EXPORT_COMPONENT_FACTORY( kcm_kopete_anyremote, KopeteAnyremotePrefsFactory( "kcm_kopete_anyremote" ) )


KopeteAnyremotePrefs::KopeteAnyremotePrefs( QWidget* parent, const char* /*name*/, const QStringList& args )
		: KCModule( KopeteAnyremotePrefsFactory::instance(), parent, args )
{
	// just tell Kconfig what widget to use... all the magic is done by KConfigTX
	m_preferencesDialog = new KopeteAnyremotePrefsUI(this);
	( new QVBoxLayout( this ) )->setAutoAdd( true );
	KopeteAnyremoteKcfg::self()->readConfig();
	this->addConfig( KopeteAnyremoteKcfg::self(), m_preferencesDialog );
	load();
}

#include "kopeteanyremoteprefs.moc"

